summaryrefslogtreecommitdiffstats
path: root/deps/phonon-vlc
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2014-12-22 15:23:54 +0100
committer Eric Hameleers <alien@slackware.com>2014-12-22 15:23:54 +0100
commitb1b35d20ce6b70330b23a9d056dcb44b58795bd6 (patch)
treed393ca76dae97b64e8de58184a15f60ca1a7412a /deps/phonon-vlc
parentf0e6e91722ec10bf7aa6a4bf53d1aedd8aee4c74 (diff)
downloadktown-b1b35d20ce6b70330b23a9d056dcb44b58795bd6.tar.gz
ktown-b1b35d20ce6b70330b23a9d056dcb44b58795bd6.tar.xz
KDE 5 for Slackware current (post-14.1) (16sep2014)5
The KDE 5 Software Compilation no longer exists as such. The components are now: - Frameworks 5.2.0 - Plasma 5.0.2 These packages need to be installed on top of the most recent KDE 4.14.x because Applications tarballs which build on top of Frameworks and Plasma have not yet been released.
Diffstat (limited to '')
-rwxr-xr-xdeps/OpenAL/OpenAL.SlackBuild (renamed from deps/phonon-vlc/phonon-vlc.SlackBuild)123
-rw-r--r--kde/slack-desc/kbookmarks (renamed from deps/phonon-vlc/slack-desc)24
2 files changed, 61 insertions, 86 deletions
diff --git a/deps/phonon-vlc/phonon-vlc.SlackBuild b/deps/OpenAL/OpenAL.SlackBuild
index 69a0f05..138dc73 100755
--- a/deps/phonon-vlc/phonon-vlc.SlackBuild
+++ b/deps/OpenAL/OpenAL.SlackBuild
@@ -1,6 +1,5 @@
#!/bin/sh
-# Copyright 2011, 2012, 2014 Eric Hameleers, Eindhoven, NL
-# Copyright 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2012, 2013, 2014 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -23,53 +22,56 @@
# -----------------------------------------------------------------------------
-PKGNAM=phonon-vlc
-SRCNAM=phonon-backend-vlc
-VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
+PKGNAM=OpenAL
+SRCNAM=openal-soft
+VERSION=${VERSION:-1.15.1}
BUILD=${BUILD:-1}
-
-NUMJOBS=${NUMJOBS:" -j7 "}
-
-# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
-if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
- esac
-fi
-
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
- SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX="64"
-elif [ "$ARCH" = "armv7hl" ]; then
- SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
- LIBDIRSUFFIX=""
-else
- SLKCFLAGS="-O2"
- LIBDIRSUFFIX=""
-fi
+NUMJOBS=${NUMJOBS:" -j4 "}
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
+if [ -e $CWD/machine.conf ]; then
+ . $CWD/machine.conf ]
+elif [ -e /etc/slackbuild/machine.conf ]; then
+ . /etc/slackbuild/machine.conf ]
+else
+ # Automatically determine the architecture we're building on:
+ MARCH=$( uname -m )
+ if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+ fi
+ # Set CFLAGS/CXXFLAGS and LIBDIRSUFFIX:
+ if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ elif [ "$ARCH" = "arm" ]; then
+ SLKCFLAGS="-O2 -march=armv5te"
+ LIBDIRSUFFIX=""
+ else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ fi
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
cd $SRCNAM-$VERSION || exit 1
-
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -77,57 +79,29 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-echo Building ...
mkdir -p build
cd build
cmake \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
- -DCMAKE_BUILD_TYPE=Release \
-DCMAKE_INSTALL_PREFIX=/usr \
-DMAN_INSTALL_DIR=/usr/man \
-DSYSCONF_INSTALL_DIR=/etc \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
..
- make $NUMJOBS
- make DESTDIR=$PKG install
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
cd -
-# Conditional build of Qt5 support:
-if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
- mkdir -p build-qt5
- cd build-qt5
- cmake \
- -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
- -DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DMAN_INSTALL_DIR=/usr/man \
- -DSYSCONF_INSTALL_DIR=/etc \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DPHONON_BUILD_PHONON4QT5=ON \
- ..
- make $NUMJOBS
- make DESTDIR=$PKG install
- cd -
-fi
+# Add an example configuration file:
+mkdir -p $PKG/etc/openal
+install -m0644 alsoftrc.sample $PKG/etc/openal/alsoft.conf.sample
# Add documentation:
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
-cp -a \
- AUTHORS COPYING* \
- $PKG/usr/doc/$PKGNAM-$VERSION
-
-# Compress the man page(s):
-if [ -d $PKG/usr/man ]; then
- find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
- for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).
-gz $i.gz ; rm $i ; done
-fi
+cp -a COPYING $PKG/usr/doc/$PKGNAM-$VERSION || true
+chown -R root:root $PKG/usr/doc/$PKGNAM-$VERSION
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
# Strip binaries (if any):
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
@@ -139,5 +113,6 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
# Build the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg --linkadd y --chown n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+
diff --git a/deps/phonon-vlc/slack-desc b/kde/slack-desc/kbookmarks
index bbab3ec..d7f5ed0 100644
--- a/deps/phonon-vlc/slack-desc
+++ b/kde/slack-desc/kbookmarks
@@ -3,17 +3,17 @@
# up the first '|' above the ':' following the base package name, and the '|'
# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-phonon-vlc: phonon-vlc (vlc backend for phonon)
-phonon-vlc:
-phonon-vlc: This package provides an additional vlc backend for
-phonon-vlc: the phonon multimedia framework used in KDE.
-phonon-vlc:
-phonon-vlc:
-phonon-vlc:
-phonon-vlc:
-phonon-vlc:
-phonon-vlc: Home: http://code.google.com/p/phonon-mplayer-vlc/
-phonon-vlc:
+kbookmarks: kbookmarks (kbookmarks)
+kbookmarks:
+kbookmarks:
+kbookmarks:
+kbookmarks:
+kbookmarks:
+kbookmarks:
+kbookmarks:
+kbookmarks:
+kbookmarks:
+kbookmarks: Homepage: http://kde.org/